Subject: Re: bug#51320: 26.1; kill-region does not ignore its first two args if region is active

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Oct 2021 22:15:27 +0300

> From: Richard Lawrence <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 21 Oct 2021 20:57:17 +0200
> 
> 2) Literally the first and only thing that kill-region does before
> throwing the error is check whether BEG and END are non-nil. The error I
> see is the one in the unless clause quoted above.

Ah, I see.  The function tests BEG and END being non-nil, but
interactively they never are nil, due to the 'interactive' form.

So yes, this is a bug, and I've now fixed it on the emacs-28 branch.

Thanks.